Bug 739060 - Disable entitlement plugin and CAL counting
Summary: Disable entitlement plugin and CAL counting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 747120 748554
TreeView+ depends on / blocked
 
Reported: 2011-09-16 13:17 UTC by Rob Crittenden
Modified: 2015-01-04 23:51 UTC (History)
6 users (show)

Fixed In Version: ipa-2.1.3-5.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Rob Crittenden 2011-09-16 13:17:27 UTC
Description of problem:

Disable the web framework entitlement plugin and the ipa-compliance.cron cron job.

Comment 1 Rob Crittenden 2011-09-16 13:29:41 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1805

Comment 2 Rob Crittenden 2011-09-20 13:25:03 UTC
Removed references to entitlement in spec file

Comment 4 Namita Soman 2011-09-22 19:20:21 UTC
ipa role-find 
lists:
entitlement compliance and entitlement management
which should not be available.

Version used: ipa-server-2.1.1-3.el6.x86_64

Comment 5 Jenny Galipeau 2011-09-27 21:02:51 UTC
ipa privilege-find ... too ...

  Privilege name: Password Policy Administrator
  Description: Password Policy Administrator
  Granting privilege to roles: Security Architect

  Privilege name: Read Entitlements
  Description: Read Entitlements
  Permissions: read entitlements
  Granting privilege to roles: Entitlement Management, Entitlement Compliance

Comment 6 Rob Crittenden 2011-10-07 20:11:50 UTC
More complete patch should erase all references to entitlements.

Comment 7 Jenny Galipeau 2011-10-26 15:43:44 UTC
version:

ipa-server-2.1.3-3.el6.x86_64

# ipa role-find | grep Entitlement
  Role name: Entitlement Compliance
  Role name: Entitlement Management
  Description: Entitlements administrator

# ipa privilege-find | grep Entitlement
  Privilege name: Read Entitlements
  Description: Read Entitlements
  Granting privilege to roles: Entitlement Management, Entitlement Compliance
  Privilege name: Register and Write Entitlements
  Description: Register and Write Entitlements
  Granting privilege to roles: Entitlement Management


And still available in the UI

Comment 8 Rob Crittenden 2011-10-26 17:34:38 UTC
How was the server installed? Unable to reproduce.

Comment 9 Jenny Galipeau 2011-10-26 18:01:13 UTC
umm I upgraded ...

Comment 13 Rob Crittenden 2011-10-27 17:47:32 UTC
The patch that handled upgrades had been dropped at some point. Upgrades and new installs should both work now.

Comment 15 Martin Kosek 2011-11-01 09:54:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 16 Namita Soman 2011-11-07 19:16:18 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

Tested with CLI and UI. No roles or privileges for Entitlement

Comment 17 errata-xmlrpc 2011-12-06 18:31:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.